{ inputs,  config, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/telemetry
    inputs.iceshrimp.nixosModules.iceshrimp {}
  ];

  networking.hostName = "porcelain-doll-repair";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  sops.secrets.db_password = {
    sopsFile = ../../../secrets/porcelain-doll-repair/default.yaml;
  };

  services.iceshrimp = {
    enable = true;
    url = "https://porcelain.doll.repair";
    createDb = true;
    dbPasswordFile = config.sops.secrets.db_password.path;
  };
}
